---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# View purchase orders positions

Returns a list of given Products' positions in PurchaseOrders

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Product",
      "description": "Product represents the services or things given company sells in the business."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/products/{id}/purchaseOrdersPositions": {
      "get": {
        "tags": [
          "Product"
        ],
        "operationId": "product.listPurchaseOrdersPositions",
        "summary": "View purchase orders positions",
        "description": "Returns a list of given Products' positions in PurchaseOrders",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The resource's identifier.",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          },
          {
            "in": "query",
            "name": "page",
            "required": false,
            "style": "deepObject",
            "schema": {
              "type": "object",
              "additionalProperties": false,
              "required": [
                "number",
                "size"
              ],
              "properties": {
                "number": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page number should be an integer greater than or equal to 1"
                },
                "size": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page size should usually be an integer between 10 and 50."
                }
              }
            }
          },
          {
            "name": "order",
            "in": "query",
            "style": "deepObject",
            "schema": {
              "type": "array",
              "items": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                  "field": {
                    "type": "string",
                    "enum": [
                      "id",
                      "amount",
                      "deliveryDate",
                      "order",
                      "orderDate",
                      "orderNumber",
                      "supplier",
                      "supplierName"
                    ]
                  },
                  "dir": {
                    "type": "string",
                    "enum": [
                      "asc",
                      "desc"
                    ]
                  }
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "additionalProperties": false,
                        "properties": {
                          "id": {
                            "type": "string",
                            "pattern": "\\d+",
                            "example": "17",
                            "description": "Resource identifier."
                          },
                          "number": {
                            "x-description-missing": true,
                            "type": "string",
                            "example": "12345-XYZ"
                          },
                          "date": {
                            "x-description-missing": true,
                            "type": "string",
                            "example": "2024-09-19T12:34:56Z"
                          },
                          "amount": {
                            "x-description-missing": true,
                            "type": "string",
                            "format": "float",
                            "example": "25.00"
                          },
                          "deliveredAmount": {
                            "x-description-missing": true,
                            "type": "string",
                            "format": "float",
                            "example": "15.50"
                          },
                          "deliveryDate": {
                            "x-description-missing": true,
                            "type": "string",
                            "format": "date",
                            "example": "2024-09-19"
                          },
                          "isInstantDelivery": {
                            "x-description-missing": true,
                            "type": "boolean",
                            "example": true
                          },
                          "purchaseOrder": {
                            "type": "object",
                            "additionalProperties": false,
                            "description": "Represents a purchase order containing details about the order, including its identifier, number, delivery date, and supplier information.",
                            "properties": {
                              "id": {
                                "description": "Unique identifier for the purchase order.",
                                "example": "PO123456",
                                "type": "string",
                                "pattern": "\\d+"
                              },
                              "number": {
                                "type": "string",
                                "description": "The order number assigned by the system.",
                                "example": "ORD-2024-001"
                              },
                              "deliveryDate": {
                                "type": "string",
                                "format": "date",
                                "description": "The expected delivery date for the order.",
                                "example": "2024-10-15"
                              },
                              "supplier": {
                                "description": "Details about the supplier providing the goods.",
                                "example": {
                                  "id": "SUP123",
                                  "name": "Test Supplies Inc."
                                },
                                "type": "object",
                                "additionalProperties": false,
                                "required": [
                                  "id",
                                  "name"
                                ],
                                "properties": {
                                  "id": {
                                    "type": "string",
                                    "pattern": "\\d+",
                                    "example": "17",
                                    "description": "Resource identifier."
                                  },
                                  "name": {
                                    "type": "string"
                                  }
                                }
                              }
                            },
                            "example": {
                              "id": "PO123456",
                              "number": "ORD-2024-001",
                              "deliveryDate": "2024-10-15",
                              "supplier": {
                                "id": "SUP123",
                                "name": "Test Supplies Inc."
                              }
                            }
                          }
                        }
                      }
                    },
                    "extra": {
                      "type": "object",
                      "required": [
                        "page"
                      ],
                      "additionalProperties": false,
                      "description": "Pagination data from the current request.",
                      "properties": {
                        "page": {
                          "description": "The pagination object containing the current page number and size",
                          "type": "object",
                          "required": [
                            "number",
                            "size"
                          ],
                          "additionalProperties": false,
                          "properties": {
                            "number": {
                              "type": "integer"
                            },
                            "size": {
                              "type": "integer"
                            }
                          },
                          "example": {
                            "number": 1,
                            "size": 10
                          }
                        }
                      },
                      "example": {
                        "page": {
                          "number": 1,
                          "size": 10
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Lists all purchase order positions with given product": {
                    "value": {
                      "data": [
                        {
                          "id": "9",
                          "amount": "8",
                          "deliveredAmount": "0",
                          "deliveryDate": "2024-04-12",
                          "isInstantDelivery": true,
                          "purchaseOrder": {
                            "id": "5",
                            "number": "",
                            "deliveryDate": "2024-04-12",
                            "supplier": {
                              "id": "7",
                              "name": "Thilo Altmann-Meyer"
                            }
                          }
                        },
                        {
                          "id": "8",
                          "amount": "8",
                          "deliveredAmount": "0",
                          "deliveryDate": "2024-03-24",
                          "isInstantDelivery": true,
                          "purchaseOrder": {
                            "id": "4",
                            "number": "",
                            "deliveryDate": "2024-03-24",
                            "supplier": {
                              "id": "7",
                              "name": "Thilo Altmann-Meyer"
                            }
                          }
                        },
                        {
                          "id": "6",
                          "amount": "10.5",
                          "deliveredAmount": "0",
                          "deliveryDate": "2024-03-24",
                          "isInstantDelivery": true,
                          "purchaseOrder": {
                            "id": "3",
                            "number": "",
                            "deliveryDate": "2024-03-27",
                            "supplier": {
                              "id": "7",
                              "name": "Thilo Altmann-Meyer"
                            }
                          }
                        },
                        {
                          "id": "4",
                          "amount": "100",
                          "deliveredAmount": "0",
                          "deliveryDate": "2024-03-16",
                          "isInstantDelivery": true,
                          "purchaseOrder": {
                            "id": "2",
                            "number": "100001",
                            "deliveryDate": "2022-03-16",
                            "supplier": {
                              "id": "7",
                              "name": "Thilo Altmann-Meyer"
                            }
                          }
                        }
                      ],
                      "extra": {
                        "page": {
                          "number": 1,
                          "size": 10
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```